<ali:List ID="Role" Object="Operator" Condition="UserID=User['ID']" Lang="PageLang" />
<script language="c#" runat="server">
protected string UserRight
{
	get
	{
		string role = Manager.User["Roles"];
		foreach (DataRow row in Role.Rows)
		{
			if (String.IsNullOrEmpty(role))
				role = "|";
			role += row[Alias.Operator.RoleNo] + "|";
		}
		
		Dictionary<string, string> kvs = new Dictionary<string, string>();
		kvs["Roles"] = role;
		
		Manager.AddToUser(kvs);
		return role;
	}
}
</script>
<%=UserRight%>